> ## Documentation Index
> Fetch the complete documentation index at: https://docs.story.foundation/llms.txt
> Use this file to discover all available pages before exploring further.

# GetValidatorSlashesByValidatorAddress



## OpenAPI

````yaml /api-reference/consensus-client/consensus-client-api.json get /distribution/validators/{validator_address}/slashes
openapi: 3.1.0
info:
  title: Consensus Client Api
  description: ''
  version: 1.0.0
servers: []
security: []
tags:
  - name: Cosmos Origin
  - name: Cosmos Origin/Staking
  - name: Cosmos Origin/Auth
  - name: Cosmos Origin/Bank
  - name: Cosmos Origin/Distribution
  - name: Cosmos Origin/Mint
  - name: Story Extend
  - name: Story Extend/Staking
paths:
  /distribution/validators/{validator_address}/slashes:
    get:
      tags:
        - Cosmos Origin/Distribution
      summary: GetValidatorSlashesByValidatorAddress
      parameters:
        - name: validator_address
          in: path
          description: validator_address defines the validator address to query for.
          required: true
          example: '0xdb8e606ad7c02f37e43d10a10126791dc94b0434'
          schema:
            type: string
        - name: pagination.key
          in: query
          description: >-
            key is a value returned in PageResponse.next_key to begin querying
            the next page most efficiently. Only one of offset or key should be
            set.
          required: false
          example: FPoybu9dO+FCSV562u9keKVgUwur
          schema:
            type: string
        - name: pagination.offset
          in: query
          description: >-
            offset is a numeric offset that can be used when key is unavailable.
            It is less efficient than using key. Only one of offset or key
            should be set.
          required: false
          example: '0'
          schema:
            type: string
        - name: pagination.limit
          in: query
          description: >-
            limit is the total number of results to be returned in the result
            page. If left empty it will default to a value to be set by each
            app.
          required: false
          example: '10'
          schema:
            type: string
        - name: pagination.count_total
          in: query
          description: >-
            count_total is set to true to indicate that the result set should
            include a count of the total number of items available for
            pagination in UIs. count_total is only respected when offset is
            used. It is ignored when key is set.
          required: false
          example: 'true'
          schema:
            type: boolean
        - name: pagination.reverse
          in: query
          description: >-
            reverse is set to true if results are to be returned in the
            descending order.
          required: false
          example: 'true'
          schema:
            type: boolean
        - name: starting_height
          in: query
          description: >-
            starting_height defines the optional starting height to query the
            slashes.
          required: false
          example: '1'
          schema:
            type: string
        - name: ending_height
          in: query
          description: >-
            ending_height defines the optional ending height to query the
            slashes.
          required: false
          example: '100'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: object
                    properties:
                      slashes:
                        type: array
                        items:
                          type: string
                      pagination:
                        type: object
                        properties: {}
                    required:
                      - slashes
                      - pagination
                  error:
                    type: string
                required:
                  - code
                  - msg
                  - error
              examples:
                '1':
                  summary: Success
                  value:
                    code: 200
                    msg:
                      slashes: []
                      pagination: {}
                    error: ''
          headers: {}
      deprecated: false
      security: []

````